<?php
// array for JSON response
$response = array();

//check for required fields
if ( isset($_POST['PotionID']) && isset($_POST['PotionName']) 
	&& isset($_POST['PotionDescriptions']) && isset($_POST['UpdatedDate']) 
	&& isset($_POST['ClientID']) && isset($_POST['ClientUserID']) 
	&& isset($_POST['NetCode']) && isset($_POST['SysCode']) ){
		
		$PotionID = $_POST['PotionID'];
  		$PotionName = $_POST['PotionName'];
		$PotionDescriptions = $_POST['PotionDescriptions'];
  		$ClientID = $_POST['ClientID'];
  		$ClientUserID = $_POST['ClientUserID'];
  		$NetCode = $_POST['NetCode'];
  		$SysCode = $_POST['SysCode'];
		$UpdatedDate = $_POST['UpdatedDate'];

      // include db connect class
      require_once __DIR__ . '/../DBConnect.php';

			    $UpdatedDate = date("Y-m-d H:i:s");

          $sql = "UPDATE Restaurant1Potion SET PotionID = '$PotionID', PotionName = '$PotionName', PotionDescriptions = '$PotionDescriptions', ClientID = '$ClientID', ClientUserID = '$ClientUserID', NetCode = '$NetCode',
          SysCode = '$SysCode', UpdatedDate = '$UpdatedDate'  WHERE PotionID = '$PotionID' AND ClientID= '$ClientID' ";
          $params = array();
      		
      	$result=0;
		try{	
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			$result= $stmt->rowCount();
		}
		catch(PDOException $e){
			echo $sql . "<br>" . $e->getMessage();
		}
		if ( $result!= 0) {
				$rows_affected= "No information available.";
				$response["success"] = 1;
				$response["roweffected"] = "Number of roweffected = ".$result;
				$response["UpdatedDate"] = $UpdatedDate;
				$response["message"] = "Update Successfully";
				// echoing JSON response
				echo json_encode($response);
		}else{
				$response["success"] = 0;
				$response["roweffected"] = $result;      
				$response["message"] = "Not updated row ".$result;
				// echoing JSON response
				echo json_encode($response);
		}
    }else{
      // success
      $response["success"] = 0;
      $response["message"] = "No Update";
      // echoing JSON response
      echo json_encode($response);
    }
?>
